﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PizzaShopDesignPatterns
{
    public class PizzaToMenuAdapter : IMenu
    {
        public PizzaToMenuAdapter(AbstractPizza pizza, string drink, double drinkPrice)
        {
            Pizza = pizza;
            Drink = drink;          
            MenuPrice = pizza.Price + drinkPrice;
        }

      
       
        public AbstractPizza Pizza { get; set; }
        public double MenuPrice { get; set; }
        public string Drink { get; set; }
      

       

       
    }
}
