﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PizzaShopDesignPatterns
{
    public class PlainPizza : IPizzaComponent
    {
        private int _price;
        private string _ingredients;

        public override string ToString()
        {
            return "Pizza with " + _ingredients;
        }


        public PlainPizza()
        {
            _price = 50;
            _ingredients = "Tomatoes and cheese";
        }

        public string Ingredients
        {
            get { return _ingredients; }
            set { _ingredients = value; }
        }

        public int Price
        {
            get { return _price; }
            set { _price = value; }
        }
    }
}
