﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PizzaShopDesignPatterns
{
    class Program
    {
        static void Main(string[] args)
        {

            Console.WriteLine("Day");
            PizzaOven pizzaOven = new PizzaOven();
            PizzaMan pizzaMan = new PizzaMan(pizzaOven);

            Console.WriteLine("Pizza order: Ham and Bacon");
            string[] order = {"Ham", "Bacon"};
            pizzaMan.TakeOrder(order);

            Console.WriteLine();
            Console.WriteLine("Menu Order: Ham and Pepperoni with Beer");
            string[] order2 = { "Ham", "Pepperoni" };
            pizzaMan.TakeOrder(order2, "Beer", 20);
            Console.WriteLine();

            System.Threading.Thread.Sleep(10000);  
            Console.WriteLine();
            Console.WriteLine("Night");
            pizzaMan.DayTime = PizzaMan.TimeOfDay.Night;
            Console.WriteLine("Pizza order: Ham and Bacon");
            string[] order3 = { "Ham", "Bacon" };
            pizzaMan.TakeOrder(order3);

            Console.WriteLine();
            Console.WriteLine("Menu Order: Ham and Pepperoni with Beer");
            string[] order4 = { "Ham", "Pepperoni" };
            pizzaMan.TakeOrder(order4, "Beer", 20);

            Console.ReadLine();
        }
    }
}
