﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PizzaShopDesignPatterns
{
    public class ChilliDecorator : AbstractPizzaDecorator
    {
       public ChilliDecorator(AbstractPizza pizza)
        {
            Pizza = pizza;
            Price = Pizza.Price + 5;
            Ingredients = Pizza.Ingredients + " and Chilli";
        }

        public override string ToString()
        {
            return "Pizza with " + Ingredients;
        }

    }
}
