﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PizzaShopDesignPatterns
{
    class HamDecorator : AbstractPizzaDecorator
    {
        public HamDecorator(AbstractPizza pizza)
        {
            Pizza = pizza;
            Price = Pizza.Price + 5;
            Ingredients = Pizza.Ingredients + " and Ham";
        }

        public override string ToString()
        {
            return "Pizza with " + Ingredients;
        }        
    }
}
